# PathHelper (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class PathHelper

    java.lang.Object
      net.schmizz.sshj.sftp.PathHelper

    public class PathHelper

extends Object

Field Summary
`static String` `DEFAULT_PATH_SEPARATOR`

Constructor Summary
`PathHelper(SFTPEngine engine, String pathSep)`

Method Summary
`String` `adjustForParent(String parent, String path)`
`PathComponents` `getComponents(String path)`
`PathComponents` `getComponents(String parent, String name)`
`String` `getPathSeparator()`
`String` `trimTrailingSeparator(String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PATH_SEPARATOR

    public static final String DEFAULT_PATH_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### PathHelper

    public PathHelper(SFTPEngine engine,
                      String pathSep)

Method Detail

### adjustForParent

    public String adjustForParent(String parent,
                                  String path)

### trimTrailingSeparator

    public String trimTrailingSeparator(String path)

### getPathSeparator

    public String getPathSeparator()

### getComponents

    public PathComponents getComponents(String parent,
                                        String name)

### getComponents

    public PathComponents getComponents(String path)
                                 throws IOException

  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.